Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept
enum<string>
default:application/vnd.dwolla.v1.hal+json
required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
application/vnd.dwolla.v1.hal+json

Path Parameters

id
string
required

Document unique identifier

Response

successful operation

Identity verification document for a customer or beneficial owner

id
string
required

Unique identifier for the document

Example:

"56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"

status
enum<string>
required

Current status of the document upload

Available options:
pending,
reviewed
Example:

"reviewed"

type
enum<string>
required

Type of identity document uploaded

Available options:
passport,
license,
idCard,
other
Example:

"passport"

created
string<date-time>
required

ISO-8601 timestamp when the document was uploaded

Example:

"2015-09-29T21:42:16.000Z"

documentVerificationStatus
enum<string>
required

Verification status of the document after review

Available options:
pending,
accepted,
rejected
Example:

"rejected"

failureReason
string

Primary reason why document verification failed (if rejected)

Example:

"ScanDobMismatch"

allFailureReasons
object[]

Complete list of all failure reasons if document verification was rejected